<?php
/**
 * @author	https://tides.net
 */

defined('ABSPATH') or die;

?>

<div>
	<label for="<?= $this->get_field_id('title') ?>">
		<?php _e('Title'); ?>:
	</label><br>
	<input maxlength="255" id="<?= $this->get_field_id('title'); ?>" name="<?= $this->get_field_name('title') ?>" value="<?= esc_attr($title); ?>">
</div>

<div>
	<label for="<?= $this->get_field_id('state') ?>">
		<?php _e('Select US state'); ?>:
	</label><br>
	<input maxlength="25" id="<?= $this->get_field_id('state') ?>" name="<?= $this->get_field_name('state') ?>" value="<?= esc_attr($state); ?>">
</div>

<div>
	<label for="<?= $this->get_field_id('station') ?>">
		<?php _e('Select station ID'); ?>:
	</label><br>
	<input maxlength="10" id="<?= $this->get_field_id('station') ?>" name="<?= $this->get_field_name('station') ?>" value="<?= esc_attr($station); ?>">
</div>

<p class="description">
	<?php _e('Copy the desired state and station ID from the relevant Tides.Net station page URL.'); ?>
	<br>
	<?php _e('For example: https://tides.net/alaska/14/ => Station value is <b>alaska</b> and station ID is <b>14</b>'); ?>
</p>
